/**
 * Custom ajax command to trigger element value changed,
 * as we update the value/options of the elements using ajax,
 * we need to support that libraries can listener this value changes.
 */
(function (Drupal) {
  if (Drupal.AjaxCommands?.prototype !== undefined) {
    Drupal.AjaxCommands.prototype.webformRemoteFieldTriggerChangeValue =
      function (ajax, response) {
        const form = ajax.$form[0];
        const element = form.querySelector(response.selector);
        if (element) {
          element.dispatchEvent(
            new Event('change', { bubbles: true, cancelable: true }),
          );
        }
      };
  }
})(Drupal);
